As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 806254 - Add back Growl support for TB / SM Aurora
: Add back Growl support for TB / SM Aurora
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: 18
: x86 Mac OS X
: -- normal with 1 vote (vote)
: Thunderbird 18.0
Assigned To: Nomis101
:
:
Mentors:
Depends on: 805837 827979
Blocks: 792793 835002
  Show dependency treegraph
 
Reported: 2012-10-28 16:39 PDT by Nomis101
Modified: 2013-01-25 20:39 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
unaffected
fixed
unaffected


Attachments
Add growl back to comm-aurora (7.49 KB, patch)
2012-11-05 11:50 PST, Nomis101
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description User image Nomis101 2012-10-28 16:39:01 PDT
If Bug 805837 adds back Growl support to Gecko 18, we should also reverse the changes we have done in Bug 792793 for comm-aurora.
Comment 1 User image Nomis101 2012-10-30 16:15:13 PDT
Growl support is now back in Gecko 18 in http://hg.mozilla.org/releases/mozilla-aurora/rev/8bc339726865
I can make a patch for adding support back to comm-aurora. Or would it simply be better to just hg backout http://hg.mozilla.org/releases/comm-aurora/rev/30465284129e ?
Comment 2 User image Nomis101 2012-11-05 11:50:01 PST
Created attachment 678410 [details] [diff] [review]
Add growl back to comm-aurora

This patch simply adds back Growl support to comm-aurora (like it was before it was removed), as followup to Bug 805837. We instead could also just hg backout 30465284129e. 
Bug 805837 not only added Growl support back, it also disabled the 10.8 notification center support (because it is not ready for a release yet). So currently we have no notification support at all on OS X.




[Approval Request Comment]
Regression caused by (bug #): Bug 805837
User impact if declined: No notification support at all on OS X
Testing completed (on c-c, etc.): 
Risk to taking this patch (and alternatives if risky): No risk
Comment 3 User image Mark Banner (:standard8) 2012-11-12 13:11:16 PST
Comment on attachment 678410 [details] [diff] [review]
Add growl back to comm-aurora

Ok, I think we'll have to go for this, but please can you post an apology to mozilla.dev.l10n with the reasons why we are doing this (i.e. the core changes got backed out).

I'm also going to roll the dice and say that I think we should add growlNotification back into comm-central for the next couple of cycles - basically until the Mac Notifications actually ship. That way, if it gets delayed further we're not going to upset L10n again (this could also be mentioned in the email to mozilla.dev.l10n).
Comment 4 User image Mark Banner (:standard8) 2012-11-12 13:11:58 PST
Oh, also in that email, we should state it is a backout, i.e. locales will have already translated these strings previously.
Comment 5 User image Nomis101 2012-11-12 14:44:04 PST
(In reply to Mark Banner (:standard8) from comment #3)
> Ok, I think we'll have to go for this, but please can you post an apology to
> mozilla.dev.l10n with the reasons why we are doing this (i.e. the core
> changes got backed out).
https://groups.google.com/forum/#!topic/mozilla.dev.l10n/0NZPDd1vx6I

(In reply to Mark Banner (:standard8) from comment #3) 
> I'm also going to roll the dice and say that I think we should add
> growlNotification back into comm-central for the next couple of cycles -
> basically until the Mac Notifications actually ship.
But than it need also to be added back for comm-central. But as I have read, they want to make the new W3C notifications the default (Bug 782211, Bug 629280, Bug 594543).
Comment 6 User image Justin Wood (:Callek) 2012-11-13 12:59:23 PST
(In reply to Mark Banner (:standard8) from comment #3)
> Comment on attachment 678410 [details] [diff] [review]
> Add growl back to comm-aurora
> 

Just to be explicit for tracking purposes, I agree and approve this for SeaMonkey-Aurora [Gecko 18] as well.
Comment 7 User image Ryan VanderMeulen [:RyanVM] 2012-11-13 18:13:09 PST
https://hg.mozilla.org/releases/comm-aurora/rev/92762a5802d4
Comment 8 User image Rich Gray (:rbgray) 2013-01-15 10:45:51 PST
Should Growl be working in Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:19.0) Gecko/20100101 Firefox/19.0 SeaMonkey/2.16 ?  I'm no longer getting any Growl notifications in mailnews (or browser.)
Comment 9 User image Nomis101 2013-01-15 11:35:54 PST
(In reply to Rich Gray (:rbgray) from comment #8)
> Should Growl be working in Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6;
> rv:19.0) Gecko/20100101 Firefox/19.0 SeaMonkey/2.16 ?  I'm no longer getting
> any Growl notifications in mailnews (or browser.)

There is no growl support in Gecko 19 and above. See Bug 827979 for putting it back. This Bug was only for TB/SM based on Gecko 18.

Note You need to log in before you can comment on or make changes to this bug.